Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Interface AGAVEFeatureCallbackItf

All Known Implementing Classes:
  AGAVECompResultHandler, AGAVEFragmentOrientationHandler, AGAVEGeneHandler, AGAVESeqFeatureHandler

    public interface AGAVEFeatureCallbackItf

An interface that can be tested for by nested handlers when trying to do a callback. This one handles callbacks from nested elements that determine strandedness of a nesting element.

Author:
  Hanning Ni Doubletwist Inc

Method Summary
`void` | `reportFeature(Location loc)`
`void` | `reportStrand(StrandedFeature.Strand strand)`

Method Detail

### reportFeature

    void reportFeature(Location loc)

### reportStrand

    void reportStrand(StrandedFeature.Strand strand)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD